PUT
/v1/orders/{id}PUT /v1/orders/{id}
Scopes: orders:orders:write
Requires scope: orders:orders:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | integer<int64> | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
shipping_method_id | integer<int32> | no | |
order_shipping_fee | number<double> | no | |
order_discount | number<double> | no | |
recipient_instructions | string | no | |
recipient_gift_message | string | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
id | integer<int64> | no | |
message | string | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.PUT('/v1/orders/{id}', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);